組込用SSL/TLS「MatrixSSL」に複数の脆弱性、アップデートを呼びかけ(JVN) | ScanNetSecurity[国内最大級のサイバーセキュリティ専門ポータルサイト]
2018.09.19(水)

組込用SSL/TLS「MatrixSSL」に複数の脆弱性、アップデートを呼びかけ(JVN)

IPAおよびJPCERT/CCは、INSIDE Secureが提供するハードウェア組込用のSSL/TLS暗号化アプリケーションである「MatrixSSL」に複数の脆弱性が存在すると「JVN」で発表した。

脆弱性と脅威 セキュリティホール・脆弱性
独立行政法人 情報処理推進機構(IPA)および一般社団法人 JPCERT コーディネーションセンター(JPCERT/CC)は10月12日、INSIDE Secureが提供するハードウェア組込用のSSL/TLS暗号化アプリケーションである「MatrixSSL」に複数の脆弱性が存在すると「Japan Vulnerability Notes(JVN)」で発表した。CVSS v3による最大Base Scoreは9.8。

「MatrixSSL version 3.8.5 およびそれ以前」には、ヒープベースのバッファオーバーフロー(CVE-2016-6890)、バッファエラー(CVE-2016-6891)、ヒープ領域の不適切な解放(CVE-2016-6892)の脆弱性が存在する。これらの脆弱性は、細工された X.509 証明書を処理することでサーバ上で任意のコードを実行されたり、DoS攻撃を受けなどの影響を受ける可能性がある。JVNでは、開発者が提供する情報をもとに最新版へアップデートするよう呼びかけている。
《吉澤 亨史( Kouji Yoshizawa )》

関連記事

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

カテゴリ別新着記事

★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★
<b>★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★</b>

経営課題としてサイバーセキュリティに取り組む情報システム部門や、研究・開発・経営企画に携わる方へ向けた、創刊19年のセキュリティ情報サービス Scan PREMIUM を、貴社の事業リスク低減のためにご活用ください。

×